<h1 mat-dialog-title>Editar Exercício</h1>
<form [formGroup]="exerciseForm" (submit)="onSubmit($event)">
    <mat-dialog-content>
        <mat-form-field>
            <mat-label>Nome</mat-label>
            <input
                matInput
                placeholder="Nome do Exercício"
                formControlName="name"
                name="name"
            />
            <mat-error *ngIf="exerciseForm.get('name').hasError('required')">
                O Nome é obrigatório
            </mat-error>
            <mat-icon matPrefix>subject</mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Vídeo do Exercício</mat-label>
            <input
                matInput
                placeholder="Vídeo da Execução do Exercício"
                type="url"
                formControlName="video"
                name="video"
            />

            <mat-icon matPrefix>play_arrow</mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Máquina Associada</mat-label>
            <mat-select formControlName="machine" name="machine">
                <mat-option
                    *ngFor="let machine of machines$ | async"
                    [value]="machine.id"
                >
                    {{ machine.name }}
                </mat-option>
            </mat-select>

            <mat-icon matPrefix svgIcon="sprite:machine"></mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Grupo Muscular</mat-label>
            <mat-select formControlName="muscle" name="muscle">
                <mat-option
                    *ngFor="let muscle of muscles | keyvalue"
                    [value]="muscle.value"
                >
                    {{ muscle.value }}
                </mat-option>
            </mat-select>
            <mat-icon matPrefix svgIcon="sprite:athlete"></mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Tipo</mat-label>
            <mat-select formControlName="type" name="type">
                <mat-option value="Reps"> Repetições</mat-option>
                <mat-option value="Time"> Tempo</mat-option>
            </mat-select>
            <mat-icon matPrefix>list</mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Descrição</mat-label>
            <textarea
                matInput
                formControlName="description"
                name="description"
            ></textarea>

            <mat-icon matPrefix>format_align_left</mat-icon>
        </mat-form-field>

        <app-custom-file-input
            title="Imagem do Exercício"
            (change)="onChangeFile($event)"
        >
        </app-custom-file-input>

        <mat-error *ngIf="exerciseForm.get('image').hasError('invalidFile')">
            O ficheiro selecionado é inválido. Por favor escolha uma imagem do
            tipo: <em>png; jpg; jpeg</em>.
        </mat-error>
    </mat-dialog-content>

    <mat-dialog-actions>
        <button
            mat-button
            color="primary"
            type="submit"
            [disabled]="!exerciseForm.valid"
        >
            <mat-icon>edit</mat-icon>
            Editar
        </button>
        <button mat-button color="accent" type="button" (click)="onClose()">
            <mat-icon>cancel</mat-icon>
            Cancelar
        </button>
    </mat-dialog-actions>
</form>
